Bug 297234 - Random kwin crash
Summary: Random kwin crash
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-01 10:43 UTC by Arno Waschk
Modified: 2012-04-27 20:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: ääääähhh ... "4.8.4 :-\


Attachments
New crash information added by DrKonqi (4.70 KB, text/plain)
2012-04-27 18:53 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arno Waschk 2012-04-01 10:43:44 UTC
Application: kwin (4.8.1 (4.8.1))
KDE Platform Version: 4.8.1 (4.8.1)
Qt Version: 4.8.0
Operating System: Linux 3.2.0-20-generic x86_64
Distribution: Ubuntu precise (development branch)

-- Information about the crash:
- What I was doing when the application crashed:
It seems do be triggered by switching windows trough alt+tab although not exactly at that time...?

-- Backtrace:
Application: KWin (kwin), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3adddba780 (LWP 19347))]

Thread 2 (Thread 0x7f3ac1a4f700 (LWP 19602)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3ada0a7212 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f3ada0a7249 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f3ad1f3ee9a in start_thread (arg=0x7f3ac1a4f700) at pthread_create.c:308
#4  0x00007f3add5ef4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f3adddba780 (LWP 19347)):
[KCrash Handler]
#6  0x00007f3ac256d6df in testAttribute (attribute=Qt::WA_WState_Visible, this=0x0) at /usr/include/qt4/QtGui/qwidget.h:1041
#7  testAttribute (attribute=Qt::WA_WState_Visible, this=0x0) at ../../../kwin/effects/presentwindows/presentwindows.cpp:1834
#8  isVisible (this=0x0) at /usr/include/qt4/QtGui/qwidget.h:1003
#9  KWin::PresentWindowsEffect::updateCloseWindow (this=0xa65a60) at ../../../kwin/effects/presentwindows/presentwindows.cpp:1842
#10 0x00007f3ac2579500 in KWin::PresentWindowsEffect::slotWindowClosed (this=0xa65a60, w=0xa839c0) at ../../../kwin/effects/presentwindows/presentwindows.cpp:475
#11 0x00007f3ad8e278f1 in QMetaObject::activate (sender=0x9e24b0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff4b225ca0) at kernel/qobject.cpp:3547
#12 0x00007f3adb757af2 in KWin::EffectsHandler::windowClosed (this=<optimized out>, _t1=0xa839c0) at ./kwineffects.moc:257
#13 0x00007f3ad8e278f1 in QMetaObject::activate (sender=0xa2a910, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff4b225df0) at kernel/qobject.cpp:3547
#14 0x00007f3add967aaf in KWin::Toplevel::windowClosed (this=<optimized out>, _t1=0xa2a910, _t2=0xb5c2b0) at ./toplevel.moc:151
#15 0x00007f3add90c6cd in KWin::Client::releaseWindow (this=0xa2a910, on_shutdown=false) at ../../kwin/client.cpp:257
#16 0x00007f3add925779 in KWin::Client::windowEvent (this=0xa2a910, e=0x7fff4b2265f0) at ../../kwin/events.cpp:582
#17 0x00007f3add925d8d in KWin::Workspace::workspaceEvent (this=0x9b4ba0, e=0x7fff4b2265f0) at ../../kwin/events.cpp:293
#18 0x00007f3add917fa8 in KWin::Application::x11EventFilter (this=0x7fff4b226900, e=0x7fff4b2265f0) at ../../kwin/main.cpp:359
#19 0x00007f3ad82059a5 in qt_x11EventFilter (ev=0x7fff4b2265f0) at kernel/qapplication_x11.cpp:441
#20 qt_x11EventFilter (ev=0x7fff4b2265f0) at kernel/qapplication_x11.cpp:429
#21 0x00007f3ad8214db8 in QApplication::x11ProcessEvent (this=0x7fff4b226900, event=0x7fff4b2265f0) at kernel/qapplication_x11.cpp:3444
#22 0x00007f3ad823f8fa in QEventDispatcherX11::processEvents (this=0x7b8ad0, flags=...) at kernel/qeventdispatcher_x11.cpp:132
#23 0x00007f3ad8e122f2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#24 0x00007f3ad8e12547 in QEventLoop::exec (this=0x7fff4b226840, flags=...) at kernel/qeventloop.cpp:204
#25 0x00007f3ad8e175d7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#26 0x00007f3add91a726 in kdemain (argc=<optimized out>, argv=<optimized out>) at ../../kwin/main.cpp:541
#27 0x00007f3add51e76d in __libc_start_main (main=0x400630 <main(int, char**)>, argc=3, ubp_av=0x7fff4b227028, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff4b227018) at libc-start.c:226
#28 0x0000000000400661 in _start ()

Reported using DrKonqi
Comment 1 Thomas Lübking 2012-04-01 15:43:06 UTC
Git commit 92c5f6d0f7f86cab0e65e67932ba24e023df84ce by Thomas Lübking.
Committed on 01/04/2012 at 17:01.
Pushed by luebking into branch 'master'.

guard a remaining m_closeView pointer

M  +1    -1    kwin/effects/presentwindows/presentwindows.cpp

http://commits.kde.org/kde-workspace/92c5f6d0f7f86cab0e65e67932ba24e023df84ce
Comment 2 Thomas Lübking 2012-04-01 15:45:32 UTC
apparently there was still one left - i'll backport the commit for 4.8.3 end of next week
Comment 3 Bruno Friedmann 2012-04-27 18:53:38 UTC
Created attachment 70713 [details]
New crash information added by DrKonqi

kwin (4.8.2 (4.8.2) "release 494") on KDE Platform 4.8.2 (4.8.2) "release 494" using Qt 4.8.1

- What I was doing when the application crashed: Just in case you miss that one
open a konsole, start xfreerdp against a windows/linux rdp server

then activate the view all windows on this desktop and use the red cross closer on the preview . .  kwin crash immediately 

Nothing really hard, just get this drkonqui. and all other windows on all other desktop are not affected or kwin restart too quickly.

Thanks to make 4.8.3 really a must have ...

-- Backtrace (Reduced):
#6  0x00007fcd72a97d9f in testAttribute (attribute=Qt::WA_WState_Visible, this=0x0) at /usr/include/QtGui/qwidget.h:1041
#7  testAttribute (attribute=Qt::WA_WState_Visible, this=0x0) at /usr/src/debug/kde-workspace-4.8.2/kwin/effects/presentwindows/presentwindows.cpp:1834
#8  isVisible (this=0x0) at /usr/include/QtGui/qwidget.h:1003
#9  KWin::PresentWindowsEffect::updateCloseWindow (this=0xe31a30) at /usr/src/debug/kde-workspace-4.8.2/kwin/effects/presentwindows/presentwindows.cpp:1842
#10 0x00007fcd72aa3bc0 in KWin::PresentWindowsEffect::slotWindowClosed (this=0xe31a30, w=0x35d81a0) at /usr/src/debug/kde-workspace-4.8.2/kwin/effects/presentwindows/presentwindows.cpp:475
Comment 4 Thomas Lübking 2012-04-27 20:43:45 UTC
(In reply to comment #2)
> apparently there was still one left - i'll backport the commit for 4.8.3 end
> of next week

ääääähhh ... "4.8.4" - this weekend  :-\
(blast!)